Tesses.ProfileIcon
===============================
A profile Icon Generator

Add To Project
==============
```bash
$ dotnet add package Tesses.ProfileIcon
```

To Use
=======
```csharp
    using SixLabors.ImageSharp;
    using Tesses.ProfileIcon;

    var generator=new ProfileIconCreator()
    .WithDefaultColors()
    .WithDefaultFont()
    .WithHashedProfileIconColorPicker();
    //TIP: you can call Generate multiple times with one generator
    using(var image=generator.Generate("Your Name"))
    {
        image.SaveAsPng("image.png");
    }
```

Uses
====
FreeMonoBold.ttf
SixLabors.ImageSharp.Drawing