/*
    Tesses.ProfileIcon A profile Icon Generator
    Copyright (C) 2023  Mike Nolan

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

namespace Tesses.ProfileIcon
{
    internal class HashedProfileIconColorPicker : ProfileIconColorPicker
    {
        public override int GetColor(ProfileIconCreator creator, string text)
        {
           long myNumber = 0;
           foreach(var c in text)
           {
               myNumber += (long)c;
           }
           return (int)(myNumber % creator.Colors.Count);
        }
    }
}